Subject: bug#76799: closed (Re: [PATCH] gnu: emacs-inf-ruby: Update to 2.9.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Mar 2025 12:58:03 +0000

Your bug report

#76799: [PATCH] gnu: emacs-inf-ruby: Update to 2.9.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76799: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76799
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: emacs-inf-ruby: Update to 2.9.0.
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: gemmaro <[email-masked]>, Cayetano Santos <[email-masked]>
Date: Fri, 07 Mar 2025 13:57:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> * gnu/packages/emacs-xyz.scm (emacs-inf-ruby): Update to 2.9.0.
> [description] Include a mention of the newly introduced customization variable
> for use with the Guix shell workflow.

I had updated the package a few hours ago without noticing your patch. I
pushed your change to the description just now. Thanks!

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH] gnu: emacs-inf-ruby: Update to 2.9.0.
From: gemmaro <[email-masked]>
To: [email-masked]
Cc: gemmaro <[email-masked]>
Date: Fri, 7 Mar 2025 14:45:02 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/emacs-xyz.scm (emacs-inf-ruby): Update to 2.9.0.
[description] Include an example of Guix shell setup leveraging the newly
introduced customize variable.

Change-Id: Ic77efed97cda6a646a69594ad04f902921f63a63
---
 gnu/packages/emacs-xyz.scm | 29 ++++++++++++++++++++++++++---
 1 file changed, 26 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index f5876a342c..593053c901 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -8069,7 +8069,7 @@ (define-public emacs-rg
 (define-public emacs-inf-ruby
   (package
     (name "emacs-inf-ruby")
-    (version "2.8.1")
+    (version "2.9.0")
     (source
      (origin
        (method git-fetch)
@@ -8078,7 +8078,7 @@ (define-public emacs-inf-ruby
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "043ml560z69rlgw60w7m03r6cdwp8gfi1zs38qykg2yi98l6gg3x"))))
+        (base32 "1ah4hfy17x4ikrg3q555q7qfmz021wmfm5v11l1id3aqfqira599"))))
     (build-system emacs-build-system)
     (home-page "https://github.com/nonsequitur/inf-ruby")
     (synopsis "Provides a REPL buffer connected to a Ruby subprocess in Emacs")
@@ -8086,7 +8086,30 @@ (define-public emacs-inf-ruby
      "@code{inf-ruby} provides a Read Eval Print Loop (REPL) buffer, allowing
 for easy interaction with a ruby subprocess.  Features include support for
 detecting specific uses of Ruby, e.g. when using rails, and using a
-appropriate console.")
+appropriate console.
+
+If you are possibly using Guix shell with @file{manifest.scm}, it
+might be useful to do the following steps:
+
+@enumerate
+@item Create a Guix shell wrapper.  The wrapper script content is like:
+@example
+#!/bin/sh
+set -eu
+
+file=manifest.scm
+if [ -f $file ]
+then
+    guix shell --manifest=$file -- \"$@@\"
+else
+    \"$@@\"
+fi
+@end example
+
+@item Set @code{\"/path/to/the/script %s\"} to @code{inf-ruby-wrapper-command}
+customize variable.
+@end enumerate
+")
     (license license:gpl3+)))
 
 (define-public emacs-chruby-el

base-commit: 20f00058d7fff1e54ba7d3f4f56deed174135cbe
-- 
2.48.1